3 Replies Latest reply on Jan 30, 2009 10:28 AM by jokerv

    MA 3.6 and MA 4.0 ...

    SergeM
      Is it possible to have the MA 4.0 and the MA 3.6 available on the same ePO 4 server so as to decide which System will use which version of the Agent ?
        • 1. RE: MA 3.6 and MA 4.0 ...
          I assume that you running ePo 4 and Configuration option --> Server settings --> Repository packages --> Allow package check-in for any repository branch: Enabled

          Yes, if you move 3.6 to previous branch and have 4 in current.
          You should install in follow order:
          install 3.6 to current --> install 4 to current and mark "move existing package to previous branch"


          but keep in mind that MA 3.6 will be end of life from 31/01/2009
          http://www.mcafee.com/us/enterprise/support/customer_service/end_life.html
          • 2. RE: MA 3.6 and MA 4.0 ...
            SergeM
            Hi and thanks for your answer

            I checked the setting and it's set to "No"...

            We're presently using Agent 3.6 for all our "clients" (BTW thanks for the info on end-of-life).

            If I do as you say, won't the agent 3.6 package be moved to "previous branch"?
            The doc mentions :

             

            (...) only agent version 4.0 and later can use the Previous and Evaluation branches for deployable files. Agent version 3.6.0 and earlier can only use the Current branch's deployable packages, regardless of this setting.



            So won't I automatically install agent 3.6 to all my clients ? There's a deployment task that executes once a day...
            Since I only want to test MA 4 on a few systems before deployment this would defeat my purpose... or not ?

            Serge
            • 3. RE: MA 3.6 and MA 4.0 ...
              You can change setting by clicking Edit on bottom right.

              There no option to have 2 different versions of agent in Current Branch.
              I did follow:
              Disabled overall agent deployment task
              Checked in new agent, marked move 3.6 to prevous branch
              Deployed new agent for few systems manually, test it for limited period of time, during this time you will not be able to deploy automatically agents, if you need - only manually for new systems
              Deployed new agent to all.


              You will still be able to push 3.6 agent manually --> when you choosing system --> deploy agent --> you will have option to choose what agent to push.

              bottom line - agent 4 is more than 7-8 months as released, have patch 1, stable.
              no reason to postpone this upgrade.